FkSecondPass (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class FkSecondPass

    java.lang.Object
      org.hibernate.cfg.FkSecondPass

All Implemented Interfaces:
  Serializable, SecondPass

Direct Known Subclasses:
  JoinedSubclassFkSecondPass, ToOneFkSecondPass

    public abstract class FkSecondPass

extends Object
implements SecondPass

See Also:
  Serialized Form

Field Summary
`protected Ejb3JoinColumn[]` | `columns`
`protected SimpleValue` | `value`

Constructor Summary
`FkSecondPass(SimpleValue value, Ejb3JoinColumn[] columns)`

Method Summary
`boolean` | `equals(Object o)`
`abstract String` | `getReferencedEntityName()`
`int` | `getUniqueCounter()`
`Value` | `getValue()`
`int` | `hashCode()`
`abstract boolean` | `isInPrimaryKey()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cfg.SecondPass
`doSecondPass`

Field Detail

### value

    protected SimpleValue value

### columns

    protected Ejb3JoinColumn[] columns

Constructor Detail

### FkSecondPass

    public FkSecondPass(SimpleValue value,
                        Ejb3JoinColumn[] columns)

Method Detail

### getUniqueCounter

    public int getUniqueCounter()

### getValue

    public Value getValue()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getReferencedEntityName

    public abstract String getReferencedEntityName()

### isInPrimaryKey

    public abstract boolean isInPrimaryKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.